
package de.ivu.elect.presentation.gruppe.table;

import de.ivu.elect.business.gruppe.entity.GruppeKumulierteStimmen;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabeGruppeStimmenConstants;
import de.ivu.elect.jee.faces.Messages;

public class GruppeKumulierteStimmenAnzahlStimmzettelNurEinzelnerWahlvorschlagPanaschiertColumn extends AbstractGruppeKumulierteStimmenAnzahlColumn {

  private static final long serialVersionUID = 1L;

  public GruppeKumulierteStimmenAnzahlStimmzettelNurEinzelnerWahlvorschlagPanaschiertColumn(Messages messages) {
    super(messages);
  }

  @Override
  public String getHeader() {
    return getMessage(StimmeingabeGruppeStimmenConstants.MESSAGE_KEY_STIMMZETTELEINGABE_NUR_EINZELNER_WAHLVORSCHLAG_PANASCHIERT_ANZAHL_EINGABE_MEHRZAHL);
  }

  @Override
  public String getHeaderIgnoringErgebnisartFuerDifferenz() {
    return getHeader();
  }

  @Override
  public Object getValue(GruppeKumulierteStimmen gruppeKumulierteStimmen) {
    return gruppeKumulierteStimmen.getAnzahlStimmzettelNurEinzelnerWahlvorschlagPanaschiert();
  }
}
